// ==UserScript==
// @name        GBAtemp
// @description スクリプトをキル
// @match       https://gbatemp.net/*
// @run-at document-start
// @weight 999
// ==/UserScript==

// document.write("hello");

const observer = new MutationObserver(mutations => {
    mutations.forEach(({ addedNodes }) => {
        addedNodes.forEach(node => {
            if(node.nodeType === 1 && (node.tagName === "SCRIPT" || node.tagName === "IFRAME")) {
//                 if(needsToBeBlacklisted(node.src, node.type)) {
                    node.type = "javascript/blocked";
                    node.remove();
//                 }
            }
        })
    })
})

// Starts the monitoring
observer.observe(document.documentElement, {
    childList: true,
    subtree: true
})
